Subject: Re: [RFC] docs: netdev: encourage reviewers

From: Jakub Kicinski <[email-masked]>
Date: Mon, 9 Oct 2023 09:13:10 -0700

On Mon, 9 Oct 2023 17:13:45 +0200 Przemek Kitszel wrote:
> > Less experienced reviewers should avoid commenting exclusively on more
> > trivial / subjective matters like code formatting and process aspects
> > (e.g. missing subject tags).  
> 
> that should be taken for granted for experienced-but-new-to-community
> reviewer, but perhaps s/Less experienced/New/?

The set of Not new + Not experienced is not empty, right?
We want people to be cautious about posting such comments.
IOW what if people have been around for a while but aren't
very well versed in reviewing on netdev?

> > Sounds reasonable?  
> 
> yes!
> 
> other thing, somewhat related:
> I believe that I personally (new to community, ~new to Intel) would do
> "best" for community trying to focus most on our outgoing patches (so
> "pre-review" wrt. to netdev, but less traffic here).

Herm, yes, definitely. It's a separate topic, tho, because the folks
at Intel who will read the FAQ are also those who understand the
problems with the internal process. The problem is not new, to move 
the corporate processes we need metrics. I think.

> anyway,
> I feel encouraged here :)

Perfect :)